| Home · All Classes · All Namespaces · Modules · Functions · Files

Signals | Public Member Functions | Static Public Member Functions | List of all members
Tp::SimpleObserver Class Reference
Utililty classes

The SimpleObserver class provides an easy way to track channels in an account and can be optionally filtered by a contact. More...

`#include <TelepathyQt/SimpleObserver>`

Inheritance diagram for Tp::SimpleObserver:
[legend]

## Signals

void | newChannels (const QList< Tp::ChannelPtr > &channels)
void | channelInvalidated (const Tp::ChannelPtr &channel, const QString &errorName, const QString &errorMessage)

## Public Member Functions

virtual | ~SimpleObserver ()
AccountPtr | account () const
ChannelClassSpecList | channelFilter () const
QString | contactIdentifier () const
QList< ChannelClassFeatures > | extraChannelFeatures () const
QList< ChannelPtr > | channels () const
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions

static SimpleObserverPtr | create (const AccountPtr &account, const ChannelClassSpecList &channelFilter, const QList< ChannelClassFeatures > &extraChannelFeatures=QList< ChannelClassFeatures >())
static SimpleObserverPtr | create (const AccountPtr &account, const ChannelClassSpecList &channelFilter, const ContactPtr &contact, const QList< ChannelClassFeatures > &extraChannelFeatures=QList< ChannelClassFeatures >())
static SimpleObserverPtr | create (const AccountPtr &account, const ChannelClassSpecList &channelFilter, const QString &contactIdentifier, const QList< ChannelClassFeatures > &extraChannelFeatures=QList< ChannelClassFeatures >())
Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)

## Additional Inherited Members

Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

The SimpleObserver class provides an easy way to track channels in an account and can be optionally filtered by a contact.

## Constructor & Destructor Documentation

Tp::SimpleObserver::~SimpleObserver | ( |  | ) |

virtual

Class destructor.

## Member Function Documentation

SimpleObserverPtr Tp::SimpleObserver::create | ( | const AccountPtr & | account,
|  | const ChannelClassSpecList & | channelFilter,
|  | const QList< ChannelClassFeatures > & | extraChannelFeatures = `QList<ChannelClassFeatures>()`
| ) |  |

static

Create a new SimpleObserver object.

Events will be signalled for all channels in account that match channelFilter for all contacts.

Parameters

  channelFilter | A specification of the channels in which this observer is interested.
  account | The account used to listen to events.
  extraChannelFeatures | Extra channel features to be enabled. All channels emitted in newChannels() will have the extra features that match their immutable properties enabled.

Returns
  An SimpleObserverPtr object pointing to the newly created SimpleObserver object.

SimpleObserverPtr Tp::SimpleObserver::create | ( | const AccountPtr & | account,
|  | const ChannelClassSpecList & | channelFilter,
|  | const ContactPtr & | contact,
|  | const QList< ChannelClassFeatures > & | extraChannelFeatures = `QList<ChannelClassFeatures>()`
| ) |  |

static

Create a new SimpleObserver object.

Events will be signalled for all channels in account established with contact, if not null, and that match channelFilter.

Parameters

  channelFilter | A specification of the channels in which this observer is interested.
  account | The account used to listen to events.
  contact | The contact used to filter events.
  extraChannelFeatures | Extra channel features to be enabled. All channels emitted in newChannels() will have the extra features that match their immutable properties enabled.

Returns
  An SimpleObserverPtr object pointing to the newly created SimpleObserver object.

SimpleObserverPtr Tp::SimpleObserver::create | ( | const AccountPtr & | account,
|  | const ChannelClassSpecList & | channelFilter,
|  | const QString & | contactIdentifier,
|  | const QList< ChannelClassFeatures > & | extraChannelFeatures = `QList<ChannelClassFeatures>()`
| ) |  |

static

Create a new SimpleObserver object.

Events will be signalled for all channels in account established with a contact identified by contactIdentifier, if non-empty, and that match channelFilter.

Parameters

  channelFilter | A specification of the channels in which this observer is interested.
  account | The account used to listen to events.
  contactIdentifier | The identifier of the contact used to filter events.
  extraChannelFeatures | Extra channel features to be enabled. All channels emitted in newChannels() will have the extra features that match their immutable properties enabled.

Returns
  An SimpleObserverPtr object pointing to the newly created SimpleObserver object.

AccountPtr Tp::SimpleObserver::account | ( |  | ) | const

Return the account used to listen to events.

Returns
  A pointer to the Account object.

ChannelClassSpecList Tp::SimpleObserver::channelFilter | ( |  | ) | const

Return a specification of the channels that this observer is interested.

Returns
  The specification of the channels as a list of ChannelClassSpec objects.

QString Tp::SimpleObserver::contactIdentifier | ( |  | ) | const

Return the identifier of the contact used to filter events, or an empty string if none was provided at construction.

Returns
  The identifier of the contact.

QList< ChannelClassFeatures > Tp::SimpleObserver::extraChannelFeatures | ( |  | ) | const

Return the extra channel features to be enabled based on the channels immutable properties.

Returns
  The features as a list of ChannelClassFeatures objects.

QList< ChannelPtr > Tp::SimpleObserver::channels | ( |  | ) | const

Return the channels being observed.

Returns
  A list of pointers to Channel objects.

void Tp::SimpleObserver::newChannels | ( | const QList< Tp::ChannelPtr > & | channels | ) |

signal

Emitted whenever new channels that match this observer's criteria are created.

Parameters

  channels | The new channels.

void Tp::SimpleObserver::channelInvalidated | ( | const Tp::ChannelPtr & | channel,
|  | const QString & | errorName,
|  | const QString & | errorMessage
| ) |  |

signal

Emitted whenever a channel that is being observed is invalidated.

Parameters

  channel | The channel that was invalidated.
  errorName | A D-Bus error name (a string in a subset of ASCII, prefixed with a reversed domain name).
  errorMessage | A debugging message associated with the error.